summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authordtucker@openbsd.org <dtucker@openbsd.org>2021-10-01 05:20:20 +0000
committerDamien Miller <djm@mindrot.org>2021-10-06 14:39:32 +1100
commit12937d867019469ebce83c2ff614cdc6688fc2d8 (patch)
tree9e91afb0f204ec0b0c46bcbff065614ffd1b4e3e
parent5a37cc118f464416d08cd0291a9b1611d8de9943 (diff)
upstream: Add test for ssh hashed known_hosts handling.
-rw-r--r--regress/Makefile3
-rw-r--r--regress/knownhosts.sh17
2 files changed, 19 insertions, 1 deletions
diff --git a/regress/Makefile b/regress/Makefile
index d5481e44..75e00ae5 100644
--- a/regress/Makefile
+++ b/regress/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.117 2021/09/03 04:11:13 dtucker Exp $
+# $OpenBSD: Makefile,v 1.118 2021/10/01 05:20:20 dtucker Exp $
tests: prep file-tests t-exec unit
@@ -98,6 +98,7 @@ LTESTS= connect \
allow-deny-users \
authinfo \
sshsig \
+ knownhosts \
knownhosts-command
diff --git a/regress/knownhosts.sh b/regress/knownhosts.sh
new file mode 100644
index 00000000..dfc768ac
--- /dev/null
+++ b/regress/knownhosts.sh
@@ -0,0 +1,17 @@
+# $OpenBSD: knownhosts.sh,v 1.1 2021/10/01 05:20:20 dtucker Exp $
+# Placed in the Public Domain.
+
+tid="known hosts"
+
+opts="-F $OBJ/ssh_proxy"
+
+trace "test initial connection"
+${SSH} $opts somehost true || fail "initial connection"
+
+trace "learn hashed known host"
+>$OBJ/known_hosts
+${SSH} -ohashknownhosts=yes -o stricthostkeychecking=no $opts somehost true \
+ || fail "learn hashed known_hosts"
+
+trace "test hashed known hosts"
+${SSH} $opts somehost true || fail "reconnect with hashed known hosts"